SELECT
    a.id
     , a.sqr applicant -- 申请人
     , a.sqrq apply_date -- 申请日期
     , d.pqbm district_code -- 片区编码
     , d.pqmc district_name -- 片区名称
     , b.xmbm project_code -- 项目编码
     , b.xmmc project_name -- 项目名称
     , a.sszy belong_resource -- 所属资源
     , a.sskh belong_payment -- 所属款项
     , a.ajmc case_name -- 案件名称
     , a.kxlx payment_type -- 款项类型
     , a.hkje payment_coll_amt -- 回款金额
     , a.hkrq payment_coll_date -- 回款日期
FROM ods_oa_uf_wy_hk_d a
         left join (select id, xmmc, xmbm, sfyx from ods_oa_uf_wy_xm_d) b -- 项目
                   on a.ssxm = b.id
         left join (select id, left(pqbm,4) pqbm from ods_oa_uf_wy_pq_d where length(pqbm)=6) c -- 地区
                   on a.sspq = c.id
         left join (select pqbm, pqmc from ods_oa_uf_wy_pq_d where length(pqbm)=4) d -- 片区
                   on c.pqbm = d.pqbm