DROP TABLE ods_index_early_warning;
CREATE TABLE ods_index_early_warning(
                                        index_name    VARCHAR(50)   COMMENT '指标名称'
    ,comm_organ   VARCHAR(50)   COMMENT '项目/片区'
    ,index_value  DECIMAL(6,4)  COMMENT '预警值'
    ,mang_organ   VARCHAR(100)  COMMENT '角色'
    ,update_by    VARCHAR(50)   COMMENT '更新人'
    ,update_time  TIMESTAMP     COMMENT '更新时间'
)COMMENT = '指标预警值填报';


SELECT
    index_name    -- 指标名称
     ,comm_organ   -- 项目/片区
     ,index_value  -- 预警值
     ,mang_organ   -- 角色
FROM ods_index_early_warning